#include "config.h"
#include "util.h"

void CenterWindow(HWND hWnd)
{
	int iResX, iResY;
	int iWidth, iHeight;
	int iPosX, iPosY;
	RECT rect;

	iResX = GetSystemMetrics(SM_CXSCREEN);
	iResY = GetSystemMetrics(SM_CYSCREEN);

	GetWindowRect(hWnd, &rect);
	iWidth = rect.right - rect.left;
	iHeight = rect.bottom - rect.top;

	iPosX = (iResX - iWidth) / 2;
	iPosY = (iResY - iHeight) / 2;

	SetWindowPos(hWnd, HWND_TOPMOST, iPosX, iPosY, 0, 0, SWP_NOSIZE);
}

HANDLE CommDevOpen(LPCTSTR lpPath)
{
	HANDLE hDevice = CreateFile(lpPath, GENERIC_READ | GENERIC_WRITE, 0, NULL, OPEN_EXISTING, 0, NULL);
	if (hDevice == INVALID_HANDLE_VALUE) {
	}

	if (hDevice != INVALID_HANDLE_VALUE) {
		DCB dcb = {0};
		dcb.DCBlength = sizeof(dcb);
		dcb.BaudRate = CFG_DEFAULT_BAUD_RATE;
		dcb.ByteSize = 8;
		if (SetCommState(hDevice, &dcb) != 0) {
		}
	}

	return hDevice;
}
